2018-12-13 12:28 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000469mercuryBugpublic2018-09-19 11:19
Reportertaigua 
Assigned Towangp 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000469: mercury-srcdist-rotd-2018-09-11 compile failed on MinGW64 (Win10 64bit)
DescriptionEnviroment:
  Windows 10 64bit
  Msys2
  Mingw64: GCC 8.2.0

Compile failed log:
io.m: In function 'mercury__io__do_make_temp_8_p_0':
io.m:16798:9: error: 'strncat' output may be truncated copying 6 bytes from a string of length 255 [-Werror=stringop-truncation]
io.m: In function 'mercury__io__make_temp_file_6_p_0':
io.m:24403:9: error: 'strncat' output may be truncated copying 6 bytes from a string of length 255 [-Werror=stringop-truncation]
Steps To ReproduceCompile steps:
$ ./configure --prefix=D:/mercury --host=x86_64-w64-mingw32
$ make PARALLEL=-j4

Then it complains:
io.m: In function 'mercury__io__do_make_temp_8_p_0':
io.m:16798:9: error: 'strncat' output may be truncated copying 6 bytes from a string of length 255 [-Werror=stringop-truncation]
io.m: In function 'mercury__io__make_temp_file_6_p_0':
io.m:24403:9: error: 'strncat' output may be truncated copying 6 bytes from a string of length 255 [-Werror=stringop-truncation]
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001012

wangp (developer)

Should be fixed in commit 90c29e772
+Notes

-Issue History
Date Modified Username Field Change
2018-09-16 12:25 taigua New Issue
2018-09-19 11:19 wangp Assigned To => wangp
2018-09-19 11:19 wangp Status new => resolved
2018-09-19 11:19 wangp Resolution open => fixed
2018-09-19 11:19 wangp Note Added: 0001012
+Issue History